
QGIS Application - Bug report #20220

"Include z-dimension" checkbox doesn't seem to function

2018-10-26 12:14 AM - Jason Ferrier

Status: Closed

Priority: Normal

Assignee: Nyall Dawson

Category: Unknown

Affected QGIS version:3.2.3 Regression?: No

Operating System: OS X Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 28041

Description

With a GeoDatabase file source that contains PointZM Geometries, when I export to a CSV and untick the "Include z-dimension"

checkbox, my CSV output still contains Z data.

When I generate another CSV with all the same options/configuration but leave the "Include z-dimension" checkbox checked (default

state) and do a diff on these two files, there is no difference.

It seems as though this checkbox doesn't do anything.

Associated revisions

Revision 0f22a29b - 2018-10-26 08:57 AM - Nyall Dawson

Fix dropping/adding z dimensions to certain output data types

where the layer geometry type is defined by features, not preset

in advance

Fixes #20220, #17669

History

#1 - 2018-10-26 12:16 AM - Jason Ferrier

This seems to have been occuring back with v2.18 as well as seen in issue #17669

This is also happening to another user. Here are their system details:

*Linux:*

Linux aleph 4.4.0-138-generic #164-Ubuntu SMP Tue Oct 2 17:16:02 UTC 2018 x86_64 x86_64 x86_64 GNU/Linux

*QGIS:*

QGIS version

3.2.3-Bonn

QGIS code revision

9b17680

Compiled against Qt

5.5.1

Running against Qt

5.5.1

Compiled against GDAL/OGR

2.2.2

2024-04-25 1/2



Running against GDAL/OGR

2.2.2

Compiled against GEOS

3.5.1-CAPI-1.9.1

Running against GEOS

3.5.1-CAPI-1.9.1 r4246

PostgreSQL Client Version

9.5.2

SpatiaLite Version

4.3.0a

QWT Version

6.1.2

QScintilla2 Version

2.9.1

PROJ.4 Version

492

#2 - 2018-10-26 02:14 AM - Nyall Dawson

- Assignee set to Nyall Dawson

- Status changed from Open to In Progress

#3 - 2018-10-26 08:57 AM - Nyall Dawson

- % Done changed from 0 to 100

- Status changed from In Progress to Closed

Applied in changeset commit:qgis|0f22a29b9dccd13010d300bf101ab46cda813dc0.
